%define name mirrormagic
%define version 2.0.1
%define release 4mdk
%define summary A puzzle game with mirrors and ray of lights

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Source: http://www.artsoft.org/RELEASES/unix/mirrormagic/%{name}-%{version}.tar.bz2
Patch0: mirrormagic-fix-va_arg.patch.bz2
URL: http://www.artsoft.org/mirrormagic/
License: GPL
Group: Games/Puzzles
BuildRequires: SDL_image-devel SDL_mixer-devel XFree86-devel alsa-lib-devel esound-devel gcc
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This game was first released as "Mindbender" in the year 1989 on the Amiga
(with ports on other computer systems) and is in fact a clone of the C64
game "Deflektor".

%prep
%setup -q
%patch0 -p0
perl -pi -e "s/^OPTIONS.*/OPTIONS = $RPM_OPT_FLAGS/" src/Makefile

%build
make sdl

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir} $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp %{name} $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.wrapped
cp -a graphics levels scores sounds music $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
chmod 644 $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/music/mod.enter_our_world

cat << EOF > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#!/bin/sh
pushd %{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}.wrapped
popd
EOF

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README
%attr(0755, root, root) %{_gamesbindir}/*
%{_gamesdatadir}/%{name}

%changelog
* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-4mdk
- rebuild

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.1-3mdk
- recompile against new vorbis stuff
- fix non-standard-group
- fix non-readable

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.1-2mdk
- rebuild for new alsa

* Tue Apr  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.1-1mdk
- first mdk package
